Skip to main content

Get Status of a Connection Request

POST /api/v1/get_connection_status

This API allows the authenticated user to retrieve the current status of a previously sent connection request to a LinkedIn user.

The profile_url parameter should be the LinkedIn profile URL.

The API returns the status of the connection request, such as PENDING, ALREADY_CONNECTED, NOT_CONNECTED, or other possible statuses.

Example Responses:

{
"status": "SUCCESS",
"result": {
"connection_status": "PENDING",
"invitation_id": "string",
"profile_id": "string"
}
}
{
"status": "SUCCESS",
"result": {
"connection_status": "NOT_CONNECTED",
"profile_id": "string"
}
}
{
"status": "SUCCESS",
"result": {
"connection_status": "ALREADY_CONNECTED",
"profile_id": "string"
}
}

Headers

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body

Schema

accountIdstringrequiredThe unique identifier of the WeLink account.
profile_urlstringrequiredThe URL of the LinkedIn profile.

Sample Request

{
"accountId": "string",
"profile_url": "string"
}

Responses

Webhook Events

Schema

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
connection_statusstringCurrent status of the connection request.
invitation_idstringThe identifier for a connection invitation.
profile_idstringrequiredThe unique identifier of the LinkedIn profile.

Sample Response

{
"status": "string",
"requestId": "string",
"result": {
"connection_status": "string",
"invitation_id": "string",
"profile_id": "string"
}
}
POST/api/v1/get_connection_status
x-api-key
x-api-secret